# Carcass
Carcass is a custom enemy mod for Ultrakill. It adds the Carcass, a flying husk enemy.
## Created by Rem and Hydraxous

Rem (an extremely talented artist) and I have collaborated to make this custom enemy. I hope you enjoy it!
Please check out Rem's art and other works!

<a href="https://twitter.com/Rem_Safe_Space"><img src="https://pbs.twimg.com/profile_images/1573594058735362049/9Dqn9ALF_400x400.jpg" alt="Rem Picture" width="160"/>
### [Rem's Twitter](https://twitter.com/Rem_Safe_Space)

<img src="https://raw.githubusercontent.com/Hydraxous/Carcass/master/images/carcass.png" alt="Carcass Banner" width="400"/>

[![Carcass Video](https://img.youtube.com/vi/w-_25odVH7k/0.jpg)](https://www.youtube.com/watch?v=w-_25odVH7k "Carcass Enemy Mod")

<img src="https://raw.githubusercontent.com/Hydraxous/Carcass/master/images/Carcass_cover.png" alt="Carcass Cover" width="400"/>

<details>
<summary>TERMINAL ENTRY (SPOILER) </summary>
  
# Carcass
## Type: Supreme Husk/Unfinished Prime

## Data
While it’s extremely rare to find a husk powerful enough to become a prime soul, it’s not uncommon for lesser husks to find their undoing in such power.


A Carcass is the result of a prime soul that has failed to fully develop, resulting in what can be called “a portable flesh prison”. While its power greatly surpasses that of lesser husks, it is still very dependent on its physical body to the point that it would instantly disintegrate without it.

The surgical markings on its body shows that an attempt was made to contain its energy, instead it is left in an irreversible berzerk state. However, trapped in such a situation, the Carcass has adapted to its power and is able to mimic most of a normal flesh prison’s abilities. Additionally it is able to partially manifest itself at a distance by using a ritualistic pentagram.

## Strategy
- Once unleashed, Carcass’s summoning circle will activate after making contact with its target. Upon the circle’s activation, Carcass will attempt to drain and re-purpose the life energy of the target by manifesting part of itself below them. When the circle becomes active, it will emit a bright light and its symbols will change shape. The manifestations can be avoided by remaining in the air, out of their reach.

- Carcass will manifest eyes to assist them in battle. While the eyes may serve well as healing, if all of the eyes are destroyed it will cause Carcass to become enraged. Typically Carcass will avoid close range combat. When enraged, it will charge and pursue you with all of its strength.
</details>

# Q: Can I add this to my custom level?
If you would like to add this enemy to your modded/custom levels you can!
You can grab the .unitypackage [here](https://github.com/Hydraxous/Carcass/releases/tag/1.0.3)

# How to use in game
1. Go to Sandbox or enable cheats
2. Equip spawner arm
3. Select and spawn the enemy

# How to install
1.  Install BepInEx 5.4.21 into your Ultrakill files
2. Go to releases and download the latest dll
3. Place the dll into ULTRAKILL/BepInEx/plugins/
4. Start the game
5. Have fun

<details>
<summary>1.0.3 Changelog</summary>

- Fixed a bug that prevents Carcass from counting as a kill in arenas
- Fixed a bug that prevents certain events from firing on death
- Fixed a bug that caused Carcass to fall into the abyss when there's no floor
</details>

<details>
<summary>1.0.4 Changelog</summary>

- Updated texture to add baked lighting
- Added enraged state textures
- Fixed enable blood & gore option not affecting blood from Carcass
- Added a toggle for the death sequence for level makers
- Fixed Enraged sprite becoming misaligned 
</details>